Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412686 (CVE-2016-7479) - CVE-2016-7479 php: Use-after-free vulnerability when resizing the 'properties' hash table of a serialized object
Summary: CVE-2016-7479 php: Use-after-free vulnerability when resizing the 'properties...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7479
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1412647 1554540
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 14:48 UTC by Adam Mariš
Modified: 2021-03-11 14:54 UTC (History)
8 users (show)

Fixed In Version: php 7.0.15, php 7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:27 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1296 0 None None None 2018-05-03 05:06:09 UTC

Description Adam Mariš 2017-01-12 14:48:01 UTC
In all versions of PHP 7, during the unserialization process, resizing the 'properties' hash table of a serialized object may lead to use-after-free. A remote attacker may exploit this bug to gain arbitrary code execution.

Upstream bug (private as of now):

https://bugs.php.net/bug.php?id=73092

External Reference:

https://blog.checkpoint.com/wp-content/uploads/2016/12/PHP_Technical_Report.pdf

Comment 1 Adam Mariš 2017-01-12 15:02:47 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1412647]

Comment 3 errata-xmlrpc 2018-05-03 05:05:57 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1296 https://access.redhat.com/errata/RHSA-2018:1296


Note You need to log in before you can comment on or make changes to this bug.